Package org.apache.activemq.artemis.jms.client

## Class ActiveMQMapMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQMapMessage

- All Implemented Interfaces:
    `javax.jms.MapMessage`, `javax.jms.Message`
  Direct Known Subclasses:
    `ActiveMQMapCompatibleMessage`

      public class ActiveMQMapMessage
      extends ActiveMQMessage
      implements javax.jms.MapMessage

  ActiveMQ Artemis implementation of a JMS MapMessage.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `TYPE` |

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `ActiveMQMapMessage()` |
    `` | `ActiveMQMapMessage​(javax.jms.MapMessage foreign, ClientSession session)` | Constructor for a foreign MapMessage
    `protected` | `ActiveMQMapMessage​(ClientMessage message, ClientSession session)` |
    `protected` | `ActiveMQMapMessage​(ClientSession session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearBody()` |
    `void` | `doBeforeReceive()` |
    `void` | `doBeforeSend()` |
    `protected <T> T` | `getBodyInternal​(java.lang.Class<T> c)` |
    `boolean` | `getBoolean​(java.lang.String name)` |
    `byte` | `getByte​(java.lang.String name)` |
    `byte[]` | `getBytes​(java.lang.String name)` |
    `char` | `getChar​(java.lang.String name)` |
    `double` | `getDouble​(java.lang.String name)` |
    `float` | `getFloat​(java.lang.String name)` |
    `int` | `getInt​(java.lang.String name)` |
    `long` | `getLong​(java.lang.String name)` |
    `java.util.Enumeration` | `getMapNames()` |
    `java.lang.Object` | `getObject​(java.lang.String name)` |
    `short` | `getShort​(java.lang.String name)` |
    `java.lang.String` | `getString​(java.lang.String name)` |
    `byte` | `getType()` |
    `protected boolean` | `hasNoBody()` | Helper method for `ActiveMQMessage.isBodyAssignableTo(Class)`.
    `boolean` | `isBodyAssignableTo​(java.lang.Class c)` |
    `boolean` | `itemExists​(java.lang.String name)` |
    `void` | `setBoolean​(java.lang.String name, boolean value)` |
    `void` | `setByte​(java.lang.String name, byte value)` |
    `void` | `setBytes​(java.lang.String name, byte[] value)` |
    `void` | `setBytes​(java.lang.String name, byte[] value, int offset, int length)` |
    `void` | `setChar​(java.lang.String name, char value)` |
    `void` | `setDouble​(java.lang.String name, double value)` |
    `void` | `setFloat​(java.lang.String name, float value)` |
    `void` | `setInt​(java.lang.String name, int value)` |
    `void` | `setLong​(java.lang.String name, long value)` |
    `void` | `setObject​(java.lang.String name, java.lang.Object value)` |
    `void` | `setShort​(java.lang.String name, short value)` |
    `void` | `setString​(java.lang.String name, java.lang.String value)` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefix, checkPrefixStr, checkRead, checkWrite, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, createMessage, getBody, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Field Detail

    - #### TYPE

          public static final byte TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQMapMessage

          protected ActiveMQMapMessage​(ClientSession session)

    - #### ActiveMQMapMessage

          protected ActiveMQMapMessage​(ClientMessage message,
                                       ClientSession session)

    - #### ActiveMQMapMessage

          public ActiveMQMapMessage()

    - #### ActiveMQMapMessage

          public ActiveMQMapMessage​(javax.jms.MapMessage foreign,
                                    ClientSession session)
                             throws javax.jms.JMSException

      Constructor for a foreign MapMessage
      Parameters:
        `foreign` -
      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### getType

          public byte getType()

      Overrides:
        `getType` in class `ActiveMQMessage`

    - #### setBoolean

          public void setBoolean​(java.lang.String name,
                                 boolean value)
                          throws javax.jms.JMSException

      Specified by:
        `setBoolean` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setByte

          public void setByte​(java.lang.String name,
                              byte value)
                       throws javax.jms.JMSException

      Specified by:
        `setByte` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setShort

          public void setShort​(java.lang.String name,
                               short value)
                        throws javax.jms.JMSException

      Specified by:
        `setShort` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setChar

          public void setChar​(java.lang.String name,
                              char value)
                       throws javax.jms.JMSException

      Specified by:
        `setChar` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setInt

          public void setInt​(java.lang.String name,
                             int value)
                      throws javax.jms.JMSException

      Specified by:
        `setInt` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setLong

          public void setLong​(java.lang.String name,
                              long value)
                       throws javax.jms.JMSException

      Specified by:
        `setLong` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setFloat

          public void setFloat​(java.lang.String name,
                               float value)
                        throws javax.jms.JMSException

      Specified by:
        `setFloat` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setDouble

          public void setDouble​(java.lang.String name,
                                double value)
                         throws javax.jms.JMSException

      Specified by:
        `setDouble` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setString

          public void setString​(java.lang.String name,
                                java.lang.String value)
                         throws javax.jms.JMSException

      Specified by:
        `setString` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setBytes

          public void setBytes​(java.lang.String name,
                               byte[] value)
                        throws javax.jms.JMSException

      Specified by:
        `setBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setBytes

          public void setBytes​(java.lang.String name,
                               byte[] value,
                               int offset,
                               int length)
                        throws javax.jms.JMSException

      Specified by:
        `setBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setObject

          public void setObject​(java.lang.String name,
                                java.lang.Object value)
                         throws javax.jms.JMSException

      Specified by:
        `setObject` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getBoolean

          public boolean getBoolean​(java.lang.String name)
                             throws javax.jms.JMSException

      Specified by:
        `getBoolean` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getByte

          public byte getByte​(java.lang.String name)
                       throws javax.jms.JMSException

      Specified by:
        `getByte` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getShort

          public short getShort​(java.lang.String name)
                         throws javax.jms.JMSException

      Specified by:
        `getShort` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getChar

          public char getChar​(java.lang.String name)
                       throws javax.jms.JMSException

      Specified by:
        `getChar` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getInt

          public int getInt​(java.lang.String name)
                     throws javax.jms.JMSException

      Specified by:
        `getInt` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getLong

          public long getLong​(java.lang.String name)
                       throws javax.jms.JMSException

      Specified by:
        `getLong` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getFloat

          public float getFloat​(java.lang.String name)
                         throws javax.jms.JMSException

      Specified by:
        `getFloat` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getDouble

          public double getDouble​(java.lang.String name)
                           throws javax.jms.JMSException

      Specified by:
        `getDouble` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getString

          public java.lang.String getString​(java.lang.String name)
                                     throws javax.jms.JMSException

      Specified by:
        `getString` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getBytes

          public byte[] getBytes​(java.lang.String name)
                          throws javax.jms.JMSException

      Specified by:
        `getBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getObject

          public java.lang.Object getObject​(java.lang.String name)
                                     throws javax.jms.JMSException

      Specified by:
        `getObject` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getMapNames

          public java.util.Enumeration getMapNames()
                                            throws javax.jms.JMSException

      Specified by:
        `getMapNames` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### itemExists

          public boolean itemExists​(java.lang.String name)
                             throws javax.jms.JMSException

      Specified by:
        `itemExists` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### clearBody

          public void clearBody()
                         throws javax.jms.JMSException

      Specified by:
        `clearBody` in interface `javax.jms.Message`
      Overrides:
        `clearBody` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### doBeforeSend

          public void doBeforeSend()
                            throws java.lang.Exception

      Overrides:
        `doBeforeSend` in class `ActiveMQMessage`
      Throws:
        `java.lang.Exception`

    - #### doBeforeReceive

          public void doBeforeReceive()
                               throws org.apache.activemq.artemis.api.core.ActiveMQException

      Overrides:
        `doBeforeReceive` in class `ActiveMQMessage`
      Throws:
        `org.apache.activemq.artemis.api.core.ActiveMQException`

    - #### hasNoBody

          protected boolean hasNoBody()

      Description copied from class: `ActiveMQMessage`
      Helper method for `ActiveMQMessage.isBodyAssignableTo(Class)`.
      Overrides:
        `hasNoBody` in class `ActiveMQMessage`
      Returns:
        true if the message has no body.

    - #### isBodyAssignableTo

          public boolean isBodyAssignableTo​(java.lang.Class c)

      Specified by:
        `isBodyAssignableTo` in interface `javax.jms.Message`
      Overrides:
        `isBodyAssignableTo` in class `ActiveMQMessage`

    - #### getBodyInternal

          protected <T> T getBodyInternal​(java.lang.Class<T> c)

      Overrides:
        `getBodyInternal` in class `ActiveMQMessage`